<head><link rel="stylesheet" href="https:\/\/distrotube.com/css/style.css">
<title># Move Your Home Folder To A Second Drive</title>
<pre>
     __ __       _______ _______ _______ ___ _______ ___     _______ _______ 
 .--|  |  |_    |   _   |   _   |       |   |   _   |   |   |   _   |   _   |
 |  _  |   _|   |.  1   |.  l   |.|   | |.  |.  1___|.  |   |.  1___|   1___|
 |_____|____|   |.  _   |.  _   `-|.  |-|.  |.  |___|.  |___|.  __)_|____   |
                |:  |   |:  |   | |:  | |:  |:  1   |:  1   |:  1   |:  1   |
                |::.|:. |::.|:. | |::.| |::.|::.. . |::.. . |::.. . |::.. . |
                `--- ---`--- ---&#39 `---&#39 `---`-------`-------`-------`-------&#39
                                                                             
</pre>
<p><br/></p>
<h1>Move Your Home Folder To A Second Drive</h1>
<p>By Derek Taylor at February 20, 2020</p>
<p><br/></p>
<h2>Make Reinstalling Faster By Having Home On A Second Drive</h2>
<p><br/></p>
<p>Note: You may want to drop into tty to perform the following to avoid any weird side effects from doing this within your graphical environment. Also, for this example we will assume that your partition is sdb1 (change this to the id of your drive!). Also, have a backup handy…just in case.</p>
<p><br/></p>
<p>Mount the new partition to /tmp:</p>
<blockquote>sudo mkdir /mnt/tmp</blockquote>
<blockquote>sudo mount /dev/sdb1 /mnt/tmp</blockquote>
<p><br/></p>
<p>Copy your HOME content to the second drive:</p>
<blockquote>sudo rsync -avx /home/ /mnt/tmp</blockquote>
<p><br/></p>
<p>Mount our new HOME partition:</p>
<blockquote>sudo mount /dev/sdb1 /home</blockquote>
<p><br/></p>
<p>If all your data seems to be present on the second drive and new partition, you may delete your old /home directory. To do this, you must first unmount the new /home partition!</p>
<blockquote>sudo umount /home #unmount the new home first!</blockquote>
<p><br/></p>
<p>Then you may delete the original /home:</p>
<blockquote>rm -rf /home/*</blockquote>
<p><br/></p>
<p>Now let&#39s make your new /home permanent. Get the UUID so we can add it to your fstab:</p>
<blockquote>sudo blkid</blockquote>
<p><br/></p>
<p>Then edit the fstab:</p>
<blockquote>sudo vim /etc/fstab #or nano if you prefer</blockquote>
<p><br/></p>
<p>Add this line at the end of the fstab:</p>
<blockquote>UUID=&ltnoted number from above&gt /home ext4 defaults 0 2</blockquote>
<p><br/></p>
<p>Now reboot and see if it works!</p>
<blockquote>sudo reboot</blockquote>
